# -*- makefile -*-
AM_CXXFLAGS = -frtti

# Make sure the include path includes Qt's uilib
INCLUDES = -I$(TQTDIR)/tools/designer/uilib -I$(srcdir)/.. $(all_includes)

INCLUDES += -DTQT_NO_ASCII_CAST

SUBDIRS = bindings builtins qtbindings . plugin plugins tdescript stdlib cpptests docs

lib_LTLIBRARIES = libkjsembed.la
bin_PROGRAMS	= kjscmd

libkjsembed_la_METASOURCES = AUTO
libkjsembed_la_SOURCES = jsconsolewidget.cpp kjsembedpart.cpp jsobjectproxy.cpp \
	slotutils.cpp jsproxy.cpp slotproxy.cpp jsbinding.cpp jssecuritypolicy.cpp \
	xmlactionclient.cpp jsfactory.cpp kjsembedpart_imp.cpp jsobjectproxy_imp.cpp \
	customobject_imp.cpp jsvalueproxy_imp.cpp jsvalueproxy.cpp jsobjecteventproxy.cpp \
	jseventmapper.cpp jsbuiltin.cpp jsproxy_imp.cpp jsfactory_imp.cpp jsbuiltin_imp.cpp \
	jsopaqueproxy.cpp jsopaqueproxy_imp.cpp jseventutils.cpp jsbindingplugin.cpp \
	ksimpleprocess.cpp global.cpp jsbuiltinproxy.cpp

kjsembedincludedir = $(includedir)/kjsembed
kjsembedinclude_HEADERS =	jsconsolewidget.h \
				kjsembedpart.h \
				jsobjectproxy.h \
				slotutils.h \
				jsproxy.h \
				slotproxy.h \
				jsbinding.h \
				jssecuritypolicy.h \
				xmlactionclient.h \
				jsfactory.h \
				kjsembedpart_imp.h \
				jsobjectproxy_imp.h \
				customobject_imp.h \
				jsvalueproxy_imp.h \
				jsvalueproxy.h \
				jsobjecteventproxy.h \
				jseventmapper.h \
				jsbuiltin.h \
				jsproxy_imp.h \
				jsfactory_imp.h \
				jsbuiltin_imp.h \
				jsopaqueproxy.h \
				jsopaqueproxy_imp.h \
				jseventutils.h \
				jsbindingplugin.h \
				global.h

libkjsembed_la_LDFLAGS = -no-undefined -version-info 1:0 $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_KJS)

libkjsembed_la_LIBADD = bindings/libkjsembedbindings.la \
			builtins/libkjsembedbuiltins.la \
			qtbindings/libkjsembedqtbindings.la \
			-ltqui \
			$(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS) \
			$(LIB_TDEFILE) $(LIB_TDEHTML) -lkjs $(LIBSOCKET)

kjscmd_SOURCES =	kjscmd.cpp
kjscmd_LDFLAGS =	$(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_KJS)
kjscmd_LDADD =		libkjsembed.la

man_MANS =		kjscmd.1

xdg_apps_DATA =  kjscmd.desktop

plugintypedir = $(kde_servicetypesdir)
plugintype_DATA = binding_type.desktop

changes:
	cvs2cl	--ignore 'ChangeLog' \
		--prune --day-of-week \
		--hide-filenames --no-wrap \
		--stdout | grep -v 'CCMAIL' > docs/ChangeLog

srcdoc:
	$(kde_bindir)/kdoc -a -p -d classdocs -n 'KJSEmbed' *.h -lqt -ltdecore -ltdeui

srcdox:
	doxygen -u Doxyfile

tidytildes:
	rm -f *~



noinst_HEADERS = jsbindingbase.h
